#!/bin/sh
# Database バックアップ処理
# ---------------------------------------------- #


##### Main routine ###############################

# Function読み込み
. ${INST_HOME}/function.sh

# 初期処理
initialize

# 開始出力
CLEAR
msg_info  "${SECUREMATRIX} データのバックアップを行います。" \
          "${SECUREMATRIX} データのバックアップには時間がかかります。" \
          "しばらくお待ちください。"
#echo ""
echo_sp "${SECUREMATRIX} データのバックアップ中."
write_log "データのバックアップ開始"

# バックアップ領域の作成
if [ ! -d $BACKUP_DIR ] ; then
  $mkdir $BACKUP_DIR > /dev/null 2>&1
  if [ $? -ne 0 ] ; then
    arize_err "dmy" "バックアップ領域の作成に失敗しました。"
    exit 1
  fi
fi

# インストール直前の Database バックアップを行う
# ${BACKUP_BIN}/backup.sh > /dev/null 2>&1
${BACKUP_TMP_DIR}/backup.sh > /dev/null 2>&1
if [ $? -eq 0 ] ; then
  cp -p ${SMX_BACKUP_DB} ${BACKUP_DIR}
  if [ $? -ne 0 ] ; then
    $echo ""
    $echo "予想外のエラーが発生しました。[バックアップファイルコピー]" | $tee -a ${ERR_LOG_FILE}
    $echo "サポートまで御連絡ください。" | $tee -a ${ERR_LOG_FILE}
    exit 1
  fi
else
  $echo ""
  $echo "予想外のエラーが発生しました。[データのバックアップ]" | $tee -a ${ERR_LOG_FILE}
  $echo "サポートまで御連絡ください。" | $tee -a ${ERR_LOG_FILE}
  exit 1
fi

echo "完了"
echo ""
msg_dialog  "${SECUREMATRIX} データのバックアップに成功しました。" \
            " " \
            "<!> データのバックアップファイルを以下のディレクトリに保管してあります。" \
            "    アンインストール実行時に必要になりますので、削除はしないでください。" \
            " " \
            "    $BACKUP_DIR" \
            " " \
            "処理を継続します。"
WAIT_ENTER

write_log "Database バックアップ処理終了"
exit 0
